// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.ngstorage'])


.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

    // setup an abstract state for the tabs directive
    .state('tab', {
      url: '/tab',
      abstract: true, 
      templateUrl: 'templates/tabs.html'
    })

    // the set tab has its own child nav-view and history
    .state('tab.set-index', {
      url: '/sets',
      views: {
        'sets-tab': {
          templateUrl: 'templates/set-index.html',
          controller: 'SetIndexCtrl'
        }
      }
    })
 
    .state('tab.set-detail', {
      url: '/set/:setId',
      views: {
        'sets-tab': {
          templateUrl: 'templates/set-detail.html',
          controller: 'SetDetailCtrl'
        }
      }
    })

    .state('tab.favourites', {
      url: '/favourites',
      views: {
        'favourites-tab': {
          templateUrl: 'templates/favourites.html',
		  controller: 'SetFaveCtrl'
        }
      }
    })

    .state('tab.about', {
      url: '/about',
      views: {
        'about-tab': {
          templateUrl: 'templates/about.html'
        }
      }
    });

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/sets');

  
  

});

